Redmine - Patch #2137

blog plugin
2008-11-05 23:48 - Anh Ky Huynh

Status: Closed Start date: 2008-11-05
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Plugin API Estimated time: 0.00 hour
Target version:

Description
| wrote this plugins as
1. I want a stream of stuffs (just like NEWS). For e.g, | want my moderator post review about LaTeX packages from CTAN. The
blog is more unofficial than NEWS in my opinion :)
2. Learn something from Redmine Plugin system

Feature

1. Completly like NEWS stream
2. New permissions: Manager blogs, Add blogs, View blogs

TODO
1. category support
2. unit test rewrite

3. ability to add new stream

Redmine is fun :)

History

#1 - 2008-11-06 13:22 - Cyrus Amiri

this is so awesome! | was about to write my own blog plugin!

#2 - 2008-11-11 10:34 - Jean-Philippe Lang
- Target version deleted (0.8)

#3 - 2010-04-22 10:34 - Stanislav German-Evtushenko
Does it work with the 0.8-stable and 0.9-stable?

#4 - 2010-04-22 10:43 - Anh Ky Huynh
- Status changed from New to Resolved

- % Done changed from 0 to 100

Stanislav German-Evtushenko wrote:

Does it work with the 0.8-stable and 0.9-stable?

My plugin is very out-of-date. You should try this one http://www.redmine.org/wiki/redmine/Plugin_ List#Blog-plugin
Regards,

PS: This issue should be resolved due to out-of-date status.

#5 - 2010-04-22 10:47 - Stanislav German-Evtushenko

Unfortunately git links are broken :(

#6 - 2010-04-22 10:52 - Anh Ky Huynh
http://www.redmine.org/wiki/redmine/Plugin_List#Blog-plugin

Stanislav German-Evtushenko wrote:

Unfortunately git links are broken :(

Strange... Do you try to contact the author (http://www.redmine.org/users/4018) ?

#7 - 2010-04-22 12:39 - Stanislav German-Evtushenko

| wrote him and I'm waiting for an answer at the moment.
Did you try that plugin?

#8 - 2010-04-22 15:32 - Anh Ky Huynh
Stanislav German-Evtushenko wrote:
| wrote him and I'm waiting for an answer at the moment.
Did you try that plugin?
No, I didn't. In fact, | write my own plugin for blog. Because | made some deep changes in Redmine core, my plugin becomes incompatible with any
pure versions of Redmine -- so | keep it in my private box.
| hope you will get the reply from Andrew Chaika soon. Or you are going to write your own plugin :)

#9 - 2013-01-13 23:02 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

Closing this, patch is incompatible with current versions.

#10 - 2013-01-14 01:24 - Mischa The Evil
FTR: 2.0.x compatible fork can be found via RE: Redmine Blog Plugin at https:/github.com/ichizok/redmine_blogs.
